#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:       ksystemlog
Version: 4.12.5
Release:    %mkrel %{rel}
Epoch:      2
Summary:    System log viewer tool for KDE 4
Group:      Graphical desktop/KDE
License:    GPLv2 and LGPLv2 and GFDL
URL:        http://www.kde.org
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version

Requires: pciutils
Suggests:   ksystemlog-handbook

%description
This program is developed for being used by beginner users,
which don't know how to find information about their Linux system,
and how the log files are in their computer.
But it is also designed for advanced users,
who want to quickly see problems occuring on their server.

KSystemLog has the following features :

- View all the main log of your system, by selecting them
 directly in a menu
 - Auto display new lines logged in bold
 - Tabbed view to allow displaying several logs at the same time
 - Saving in a file and copying to clipboard the selected log
   lines are also implemented (and email to your friends)
   - It can parse the following log files of your system :

   - X.org (or Xfree) logs
   - System logs (using the Syslog parser of KSystemLog)
   - Kernel logs
   - Daemons logs
   - Cron logs
   - Boot logs
   - Authentication logs
   - Cups logs
   - ACPID logs

%files
%_kde_bindir/ksystemlog
%_kde_appsdir/ksystemlog/
%_kde_applicationsdir/ksystemlog.desktop

#------------------------------------------------------------------------------

%package -n ksystemlog-handbook
Summary: Ksystemlog handbook
Conflicts: ksystemlog < 2:4.7.1
Requires:  ksystemlog >= %{epoch}:%{version}-%{release}
BuildArch: noarch
Group: Documentation
%description -n ksystemlog-handbook
This package provides ksystemlog handbook

%files -n ksystemlog-handbook
%docdir %_kde_docdir/HTML
%_kde_docdir/HTML/en/ksystemlog/

#------------------------------------------------------------------------------

%prep
%setup -q

%build
export LD=/usr/bin/ld.gold 
%cmake_kde4 -DKDE4_ENABLE_FINAL=ON 
%make

%install
rm -fr %buildroot
%makeinstall_std -C build

%changelog
* Sun Jun 29 2014 lmenut <lmenut> 2:4.12.5-1.mga4
+ Revision: 641353
- Update to KDE SC 4.12.5

  + neoclust <neoclust>
    - New version 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 2:4.11.4-1.mga4
+ Revision: 555043
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 2:4.11.3-1.mga4
+ Revision: 551315
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 2:4.11.2-2.mga4
+ Revision: 540443
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 2:4.11.2-1.mga4
+ Revision: 490838
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 2:4.11.1-1.mga4
+ Revision: 476915
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 2:4.11.0-1.mga4
+ Revision: 465312
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 2:4.10.97-1.mga4
+ Revision: 458961
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 2:4.10.95-1.mga4
+ Revision: 455347
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 2:4.10.90-1.mga4
+ Revision: 448029
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- imported package ksystemlog

